<?php
/**
 * Clase Base Bean para BaseArBancoBN
 *
 * @package    Sedapal
 * @subpackage BaseArBancoBN
 * @author     Willy
 * @version    SVN:: BaseArBancoBN.class.php,v 1.1 2020-06-30 13:51:13 william.taype Exp $
 */
abstract class BaseArBancoBN
{
  protected $Idbanco;
  protected $Descripcion;
  protected $Estado;
  protected $Eliminado;
  protected $Usuarioeliminado;
  protected $Fechaeliminado;
  protected $Fecharegistro;
  protected $Usuarioregistro;
  protected $Mensaje;
  protected $Error;

  public function getIdbanco(){
    return $this->Idbanco;
  }
  public function setIdbanco($v1){
    $this->Idbanco = $v1; 
  }

  public function getDescripcion(){
    return $this->Descripcion;
  }
  public function setDescripcion($v1){
    $this->Descripcion = $v1; 
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v1){
    $this->Estado = $v1; 
  }

  public function getEliminado(){
    return $this->Eliminado;
  }
  public function setEliminado($v1){
    $this->Eliminado = $v1; 
  }

  public function getUsuarioeliminado(){
    return $this->Usuarioeliminado;
  }
  public function setUsuarioeliminado($v1){
    $this->Usuarioeliminado = $v1; 
  }

  public function getFechaeliminado(){
    return $this->Fechaeliminado;
  }
  public function setFechaeliminado($v1){
    $this->Fechaeliminado = $v1; 
  }

  public function getFecharegistro(){
    return $this->Fecharegistro;
  }
  public function setFecharegistro($v1){
    $this->Fecharegistro = $v1; 
  }

  public function getUsuarioregistro(){
    return $this->Usuarioregistro;
  }
  public function setUsuarioregistro($v1){
    $this->Usuarioregistro = $v1; 
  }
  
  public function getFechamodificacion(){
    return $this->Fechamodificacion;
  }
  public function setFechamodificacion($v1){
    $this->Fechamodificacion = $v1; 
  }

  public function getUsuariomodificacion(){
    return $this->Usuariomodificacion;
  }
  public function setUsuariomodificacion($v1){
    $this->Usuariomodificacion = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Ar_bancoBN desde un RecordSet */
  public static function retrieveByRs( $o_Ar_bancoRs )
  {
    $o_ArBancoBN = new ArBancoBN();
    $o_ArBancoBN->setIdbanco( $o_Ar_bancoRs['idbanco'] );
    $o_ArBancoBN->setDescripcion( $o_Ar_bancoRs['descripcion'] );
    $o_ArBancoBN->setEstado( $o_Ar_bancoRs['estado'] );
    $o_ArBancoBN->setEliminado( $o_Ar_bancoRs['eliminado'] );
    $o_ArBancoBN->setUsuarioeliminado( $o_Ar_bancoRs['usuarioeliminado'] );
    $o_ArBancoBN->setFechaeliminado( $o_Ar_bancoRs['fechaeliminado'] );
    $o_ArBancoBN->setFecharegistro( $o_Ar_bancoRs['fecharegistro'] );
    $o_ArBancoBN->setUsuarioregistro( $o_Ar_bancoRs['usuarioregistro'] );
    return $o_ArBancoBN;
  }
}